Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class ProfileException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jpos.profile.ProfileException

All Implemented Interfaces:
  java.io.Serializable

public class ProfileException
extends java.lang.Exception

Defines an exception class for the jpos.profile sub-system

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`ProfileException(java.lang.String msg)` 1-arg ctor
`ProfileException(java.lang.String msg, java.lang.Exception e)` 2 args ctor

Method Summary
`java.lang.Exception` | `getOrigException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProfileException

    public ProfileException(java.lang.String msg)

  1-arg ctor
  Parameters:
    `msg` - the exception's message

### ProfileException

    public ProfileException(java.lang.String msg,
                            java.lang.Exception e)

  2 args ctor
  Parameters:
    `msg` - the exception's message
    `origException` - the original exception causing this one

Method Detail

### getOrigException

    public java.lang.Exception getOrigException()

  Returns:
    the original exception causing this one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details